<?php
$categories = array(
	0 => array(
		"title" => "LucasArts games",
		"category" => "lec",
		"games" => array(
			0 => array("cat-maniac.png", "Maniac Mansion"),
			1 => array("cat-zak.png", "Zak McKracken and the Alien Mindbenders"),
			2 => array("cat-indy3.png", "Indiana Jones and the Last Crusade"),
			6 => array("cat-loom.png", "Loom"),
			4 => array("cat-monkey1.png", "The Secret of Monkey Island"),
			5 => array("cat-monkey2.png", "Monkey Island 2: Le Chuck's Revenge"),
			3 => array("cat-indy4.png", "Indiana Jones and the Fate of Atlantis"),
			8 => array("cat-tentacle.png", "Day of the Tentacle"),
			7 => array("cat-samnmax.png", "Sam &amp; Max Hit the Road "),
			9 => array("cat-ft.png", "Full Throttle"),
			10 => array("cat-dig.png", "The Dig"),
			11 => array("cat-comi.png", "The Curse of Monkey Island"),
		),
	),
	4 => array(
		"title" => "Adventuresoft/Horrorsoft games",
		"category" => "agos",
		"games" => array(
			0 => array("cat-simon.png", "Simon the Sorcerer series"),
			2 => array("cat-elvira.png", "Elvira series"),
			1 => array("cat-feeble.png", "The Feeble Files"),
			3 => array("cat-waxworks.png", "Waxworks"),
		),
	),
	5 => array(
		"title" => "Coktel Vision games",
		"category" => "cok",
		"games" => array(
			2 => array("cat-bargon.png", "Bargon Attack"),
			3 => array("cat-woodruff.png", "The Bizarre Adventures of Woodruff and the Schnibble"),
			0 => array("cat-gob.png", "Gobliiins series"),
			4 => array("cat-lostintime.png", "Lost In Time"),
			1 => array("cat-ween.png", "Ween: The Prophecy"),
		),
	),
	3 => array(
		"title" => "Sierra AGI games",
		"category" => "agi",
		"games" => array(
			1 => array("cat-bc.png", "The Black Cauldron"),
			2 => array("cat-gr.png", "Gold Rush"),
			3 => array("cat-kq.png", "King's Quest series"),
			4 => array("cat-lsl.png", "Leisure Suit Larry"),
			5 => array("cat-mh.png", "Manhunter series"),
			6 => array("cat-mumg.png", "Mixed-Up Mother Goose"),
			7 => array("cat-pq.png", "Police Quest"),
			8 => array("cat-sq.png", "Space Quest series"),
			9 => array("cat-fan.png", "Fanmade games"),
			12 => array("cat-mickey.png", "Mickey's Space Adventure"),
			10 => array("cat-troll.png", "Troll's Tale"),
			11 => array("cat-winnie.png", "Winnie the Pooh in the Hundred Acre Wood"),
		),
	),
	2 => array(
		"title" => "Other games",
		"category" => "other",
		"games" => array(
			3 => array("cat-sky.png", "Beneath a Steel Sky"),
			0 => array("cat-sword.png", "Broken Sword series"),
			10 => array("cat-drascula.png", "Drascula: The Vampire Strikes Back"),
			2 => array("cat-queen.png", "Flight of the Amazon Queen"),
			5 => array("cat-fw.png", "Future Wars: Time Travelers"),
			8 => array("cat-ihnm.png", "I Have no Mouth and I Must Scream"),
			1 => array("cat-ite.png", "Inherit the Earth: Quest for the Orb"),
			7 => array("cat-nippon.png", "Nippon Safes Inc."),
			4 => array("cat-kyra.png", "The Legend of Kyrandia series"),
			9 => array("cat-lure.png", "Lure of the Temptress"),
			6 => array("cat-touche.png", "Touch&eacute;: The Adventures of the Fifth Musketeer"),
		),
	),
	1 => array(
		"title" => "Humongous Entertainment games",
		"category" => "he",
		"games" => array(
			0 => array("cat-thinkers.png", "Big Thinkers series"),
			4 => array("cat-fbear.png", "Fatty Bear series"),
			6 => array("cat-ffish.png", "Freddi Fish series"),
			1 => array("cat-field.png", "Junior Field Trips series"),
			5 => array("cat-sports.png", "Junior Sports series"),
			7 => array("cat-pajama.png", "Pajama Sam series"),
			8 => array("cat-puttputt.png", "Putt-Putt series"),
			3 => array("cat-spyfox.png", "Spy Fox series"),
		),
	),
);

$data = file_get_contents('../data/screenshots/screenshots.csv');
$lines = explode("\n", $data);
unset($data);

$xml = "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>\n";
$xml .= "<!-- <file> contains the base of the filename, thumbnail is <file>.jpg, full image is <file>-full.png -->\n";
$xml .= "<screenshots>\n";
$old_cat1 = null;
$old_cat2 = null;
foreach ($lines as $line) {
	/* Skip comments. */
	if (substr($line, 0, 1) == '#' || trim($line) == '') {
		continue;
	}
	$entry = explode('|', $line);

	/* Categories. */
	if (is_null($old_cat1) || $old_cat1 != $entry[0]) {
		if (!is_null($old_cat1)) {
			if (!is_null($old_cat2)) {
				$xml .= "\t\t</game>\n";
			}
			$xml .= "\t</group>\n";
		}
		$xml .= "\t<group>\n";
		$xml .= "\t\t<title>{$categories[$entry[0]]['title']}</title>\n";
		$xml .= "\t\t<category>{$categories[$entry[0]]['category']}</category>\n";
		$old_cat1 = $entry[0];
		$old_cat2 = null;
	}

	/* Games. */
	if (is_null($old_cat2) || $old_cat2 != $entry[1]) {
		if (!is_null($old_cat2)) {
			$xml .= "\t\t</game>\n";
		}
		$xml .= "\t\t<game>\n";
		$xml .= "\t\t\t<name>{$categories[$entry[0]]['games'][$entry[1]][1]}</name>\n";
		#$xml .= "\t\t\t<category_icon>{$categories[$entry[0]]['games'][$entry[1]][0]}</category_icon>\n";
		$cat_name = substr($categories[$entry[0]]['games'][$entry[1]][0], 4, -4);
		$xml .= "\t\t\t<category>{$cat_name}</category>\n";
		$old_cat2 = $entry[1];
	}

	$xml .= "\t\t\t<image>\n";
	$xml .= "\t\t\t\t<file>{$entry[3]}</file>\n";
	$xml .= "\t\t\t\t<caption>{$entry[4]}</caption>\n";
	$xml .= "\t\t\t</image>\n";
}
$xml .= "\t\t</game>\n";
$xml .= "\t</group>\n";
$xml .= "</screenshots>\n";

print $xml;
?>
