<?php
require_once('Objects/BasicObject.php');
require_once('Objects/File.php');
require_once('Objects/WebLink.php');
/**
 * The DSubSection object represents a subsection on the downloads page.
 */
class DSubSection extends BasicObject {
	private $_title;
	private $_anchor;
	private $_notes;
	private $_files;
	private $_links;

	/* DSubSection constructor. */
	public function __construct($data, $baseurl) {
		$this->_title = $data['title'];
		$this->_anchor = $data['anchor'];
		$this->_notes = $data['notes'];
		$this->_files = array();
		$this->_links = array();

		if (isset($data['file'])) {
			parent::toArray($data['file']);
			foreach ($data['file'] as $key => $value) {
				$this->_files[] = new File($value, $baseurl);
			}
		}
		if (isset($data['link'])) {
			parent::toArray($data['link']);
			foreach ($data['link'] as $key => $value) {
				$this->_links[] = new WebLink($value);
			}
		}
	}

	/* Get the title. */
	public function getTitle() {
		return $this->_title;
	}

	/* Get the anchor name. */
	public function getAnchor() {
		return $this->_anchor;
	}

	/* Get the optional notes. */
	public function getNotes() {
		return $this->_notes;
	}

	/* Get the list of files. */
	public function getFiles() {
		return $this->_files;
	}

	/* Get the list of links. */
	public function getLinks() {
		return $this->_links;
	}
}
?>
