<?php
/**
 * Small class only containing static utility functions.
 */
abstract class Utils {
	/**
	 * Take an one-dimensional array and a regular expression and return those
	 * entries in the array that match the pattern.
	 *
	 * @param array $array
	 * @param string $pattern
	 * @return mixed
	 * @access public
	 * @static
	 * @since 1.0
	 */
	static public function getFromArrayByPatternMatch($array, $pattern) {
		if (!is_string($pattern) || !is_array($array)) {
			return $array;
		}
		$matches = array();
		foreach ($array as $item) {
			if (preg_match("/{$pattern}/", $item)) {
				$matches[] = $item;
			}
		}
		return $matches;
	}

	/**
	 * Escape ampersands to the HTML-entitiy '&amp;'.
	 *
	 * @param string $string
	 * @return string
	 * @access public
	 * @static
	 * @since 1.0
	 */
	static public function ampersandEntity($string) {
		return preg_replace('/&(?!amp|nbsp|lt|gt|quot;)/', '&amp;', $string);
	}
}
?>
