var rand_img = $('a#screenshots_random img')[0];
var screenshots = [];
var position = 0;

/* Change screenshot. */
function changeScreenshot (pos) {
	position += pos;
	if (position < 0) {
		position = screenshots.length-1;
	} else if (position >= screenshots.length) {
		position = 0;
	}
	rand_img.src = screenshots[position][0];
	rand_img.parentNode.title = screenshots[position][1];
}

/* Find the position for the random screenshot. */
function findPosition() {
	var rand_url = rand_img.src.replace('.jpg', '-full.png');
	rand_url = rand_url.replace(rand_img.baseURI, '');
	for (var i=0, i_max=screenshots.length; i < i_max; i++) {
		if (screenshots[i][0] == rand_url) {
			position = i;
			break;
		}
	}
	changeScreenshot(0);
}

$(document).ready(function () {
	/* Fetch the screenshots. */
	$.post(
		'?p=screenshots',
		'json=1',
		function (data) {
			screenshots = data;
			findPosition();
		},
		'json'
	);

	/* Next screenshot. */
	$('#screenshots_next').click(function (evt) {
		evt.preventDefault();
		changeScreenshot(1);
	});

	/* Previous screenshot. */
	$('#screenshots_prev').click(function (evt) {
		evt.preventDefault();
		changeScreenshot(-1);
	});

	/* Clicking the image. */
	$(rand_img).click(function (evt) {
		evt.preventDefault();
		$.slimbox(screenshots, position);
	});

	/* Piggyback on the slimbox overlay. */
	$('#lbOverlay').bind('mouseleave', function (evt) {
		if ($('#lbOverlay:visible').length == 0) {
			var cur_img = $('#lbImage').css('background-image').replace(rand_img.baseURI, '');
			rand_img.src = cur_img.substring(4, cur_img.length-1);
			findPosition();
		}
	});
});
