<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<meta http-equiv="Content-Script-Type" content="text/javascript">
	<meta http-equiv="Content-Style-Type" content="text/css">
	<meta name="description" content="An implementation of LucasArts SCUMM interpreter, used in games such as Monkey Island, Indiana Jones, Day Of The Tentacle and Sam and Max.">
	<meta name="keywords" content="scumm,scummvm,agi,sci,agos,lec,">
	<base href="{$baseurl}">
	<style type="text/css">
		{* General CSS rules. *}
		@import url("css/layout.css");
		@import url("css/menu.css");
		@import url("css/rewrite.css");
		{* Page specific, or other extra CSS rules. *}
		{foreach from=$css_files item=filename}
		@import url("css/{$filename}");
		{/foreach}
	</style>
	<link rel="alternate" type="application/atom+xml" title="ScummVM Atom news feed" href="http://www.scummvm.org/feed-atom.php">
	<link rel="alternate" type="application/rss+xml" title="ScummVM RSS news feed" href="http://www.scummvm.org/feed-rss20.php">
	<title>ScummVM :: {$title}</title>
</head>
<body>
	{* Header. *}
	<div id="header">
		<a href="{$baseurl}">
			<img src="images/scummvm_logo.jpg" width="287" height="118" alt="ScummVM logo" class="float_left">
		</a>
		<img src="images/heroes{$heroes_num|rand:0}.png" alt="Game characters" width="483" height="89" class="float_right">
		<br>
		<img src="images/scummvm-caption.png" alt="Script creation utility for Maniac Mansion Virtual Machine" width="482" height="29" class="float_right">
	</div>
	<div class="float_clear"></div>

	<div id="wrapper">
		<div id="container">
			{* Menu. *}
			<div id="menu">
				{foreach from=$menus item=menu}
					{include file='menu_group.tpl' menu=$menu}
				{/foreach}
				<div>
					<img src="images/hangmonk.gif" alt="monkey" width="55" height="57" class="monkey float_right">
					<a href="http://sourceforge.net/donate/index.php?group_id=37116" class="float_left">
						<img src="http://images.sourceforge.net/images/project-support.jpg" width="88" height="32" alt="Support This Project">
					</a>
				</div>
			</div>

			{* Content *}
			<div id="content">
				{* Introduction text and screenshot viewer. *}
				{if isset($show_intro) && $show_intro}
					{include file='intro_header.tpl'}
				{/if}

				{* The actual content. *}
				<div class="rbroundbox">
					<div class="rbtop">
						<div>
							<p>
								{include file='shadowed_text.tpl' text=$content_title shadowcolor='#fff' textcolor='#821d06'}
							</p>
						</div>
					</div>
					<div class="rbcontent">
						<div class="rbwrapper">
							{$content}
						</div>
					</div>
					<div class="rbbot"><div><p>&nbsp;</p></div></div>
				</div>
			</div>

			<div id="footer">
				<a href="http://sourceforge.net/donate/index.php?group_id=37116">
					<img src="http://images.sourceforge.net/images/project-support.jpg" width="88" height="32" alt="Support This Project">
				</a>
				<a href="http://sourceforge.net/">
					<img src="http://sflogo.sourceforge.net/sflogo.php?group_id=37116&amp;type=1" width="88" height="31" alt="SourceForge">
				</a>
				<a href="http://validator.w3.org/check/referer">
					<img src="http://www.w3.org/Icons/valid-html401" width="88" height="31" alt="Valid HTML 4.01!">
				</a>
				<a href="http://jigsaw.w3.org/css-validator/">
					<img src="http://jigsaw.w3.org/css-validator/images/vcss" width="88" height="31" alt="Valid CSS!">
				</a>
				<a href="http://www.validome.org/referer">
					<img src="http://www.validome.org/images/set2/valid_html_4_0_1.gif" width="88" height="31" alt="Valid HTML 4.01">
				</a>
			</div>
			<img src="images/tentacle.png" alt="Tentacle" width="163" height="296" class="float_right tentacle">
		</div>
		<div class="float_clear_left"></div>
	</div>

	<div id="legal">
		<p>
			LucasArts, Monkey Island, Maniac Mansion, Full Throttle, The Dig, LOOM, and probably lots of other things are registered trademarks of <a href="http://www.lucasarts.com/">LucasArts, Inc.</a>. All other trademarks and registered trademarks are owned by their respective companies. ScummVM is not affiliated in any way with LucasArts, Inc.
		</p>
	</div>
{*<div class="float_clear"></div>*}

{foreach from=$js_files item=script}
<script type="text/javascript" src="javascripts/{$script}"></script>
{/foreach}
{*
<!-- Google analytics javascript -->
<script src="http://www.google-analytics.com/urchin.js" type="text/javascript"></script>
<script type="text/javascript">
	_uacct = "UA-1455743-1";
	_udn = "scummvm.org";
	urchinTracker();
</script>
*}
</body>
</html>
